=== debian/Makefile ===
depth = ..

NAME= debian

# generic variables:
#
include ./$(depth)/make/Variables.make
include ./$(depth)/make/Files.make 
#

# generic targets and rules:
#
include ./$(depth)/make/Targets.make
include ./$(depth)/make/Rules.make
#


EXTRA_DISTFILES = README.Debian TODO changelog control copyright \
	info.ex menu.ex postinst postinst.old.sh postrm preinst rules watch
