=== input/Makefile ===
# input/Makefile

# subdir level:
#
depth = ..
#

build = ./$(depth)/lily/$(outdir)/.build

# generic stuff/Makefile
#
include ./$(depth)/make/Include.make
#

# list of distribution files:
# 
LYFILES = $(wildcard *.ly)
TEXFILES = $(wildcard *.tex)
DISTFILES = Makefile $(LYFILES) $(TEXFILES) $(wildcard *.m4)
#
