=== debian/changelog ===
lilypond (0.1.35-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@debian.org>  Fri,  5 Dec 1997 21:06:31 -0700

lilypond (0.1.34-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@debian.org>  Thu,  4 Dec 1997 19:42:22 -0700

lilypond (0.1.33-1) unstable; urgency=low

  * New upstream release
  * Changed my maintainer e-mail address to <foka@debian.org>.  :)

 -- Anthony Fok <foka@debian.org>  Tue, 25 Nov 1997 00:22:57 -0700

lilypond (0.1.32-2) unstable; urgency=low

  * Commented out run_texhash() in postinst by mistake.  Fixed.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 23 Nov 1997 03:04:29 -0700

lilypond (0.1.32-1) unstable; urgency=low

  * New upstream release
  * Applied a small fix to postinst.  The font-entries-search-and-replace
    add_fonts() subroutine was slightly buggy.
  * Unpatched ./configure.  It turned out that I spelt "--enable-optimise"
    as "--enable-optimize" in debian/rules by mistake.  Oops!  :)  Thanks
    to the upstream author for pointing this out!  :)
  * The upstream authors has included the ./debian/* files in the pristine
    source archive!  They also fixed some minor errors in README.debian
    and copyright.  Thanks a lot!  :)
  * Removed the line "dh_clean" from "binary-arch:" and switched the order
    of dh_clean in "clean:" in debian/rules.  dh_clean was deleting
    the zero-byte file ./make/out/Site.make, causing the build to fail.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 23 Nov 1997 01:39:31 -0700

lilypond (0.1.29-1) unstable; urgency=low

  * New upstream release
  * Patched ./configure in source package to make c++ use the -O2 -g options
    on all the files.  Now, /usr/bin/lilypond is a lot leaner!  <smile>
    (I will discuss it with the upstream author.)
  * Adapted postinst (a Perl script) from the musixtex package for lilypond.
    Now postinst adds the new LilyPond font entries into
    /usr/lib/texmf/fontname/special.map.
  * Added preinst to clean up my mess from previous releases: the old
    "stray" automatically generated TFM and PK font files were placed in
    the wrong directories because they were not listed in
    /usr/lib/texmf/fontname/special.map.
  * Did some minor clean-up in debian/rules and switched to debhelper.
  * Updated Standards-Version to 2.3.0.1

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Tue, 11 Nov 1997 02:31:33 -0700

lilypond (0.1.25-1) unstable; urgency=low

  * Added a note in README.debian about the possibility of some LilyPond
    fonts not showing up after an upgrade, and a possible solution to this
    problem.
  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 23 Oct 1997 17:00:14 -0600

lilypond (0.1.24-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Tue, 21 Oct 1997 04:12:01 -0600

lilypond (0.1.23-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 16 Oct 1997 02:15:55 -0600

lilypond (0.1.22-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 13 Oct 1997 23:51:01 -0600

lilypond (0.1.21-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu,  9 Oct 1997 22:58:26 -0600

lilypond (0.1.18.jcn1-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sat,  4 Oct 1997 03:48:45 -0600

lilypond (0.1.17-1) unstable; urgency=low

  * New upstream release
  * Remove redundancy in package's description (Fixed bug #12511)
  * Added a note about the new LilyPond MF fonts which are not yet listed
    in the current standard special.map (in the teTeX package)
  * Added SHELL=/bin/bash to debian/rules because I use bashism. <smile>

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun, 28 Sep 1997 01:41:15 -0600

lilypond (0.1.12-1) unstable; urgency=low

  * New upstream release
  * Updated the mailing address of the Free Software Foundation
    listed in /usr/doc/lilypond/copyright
  * Updated Standards-Version to 2.3.0.0
  * Built with debmake 3.3.14 and fakeroot 0.0-9 <grin>

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sun,  7 Sep 1997 23:00:53 -0600

lilypond (0.1.9-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Mon, 18 Aug 1997 15:14:24 -0600

lilypond (0.1.7-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 14 Aug 1997 15:18:40 -0600

lilypond (0.1.6-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu, 14 Aug 1997 05:14:06 -0600

lilypond (0.1.3-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Sat,  9 Aug 1997 14:15:11 -0600

lilypond (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Thu,  7 Aug 1997 22:54:20 -0600

lilypond (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Anthony Fok <foka@gpu.srv.ualberta.ca>  Wed,  6 Aug 1997 04:40:57 -0600

Local variables:
mode: debian-changelog
add-log-mailing-address: "foka@debian.org"
End:
